import IEvents from '../models/events';
import IHighlightOptions from '../models/highlight-options';
export declare type ConfigHighlightOptions = Required<Omit<IHighlightOptions, 'target' | 'context' | 'events'>>;
export declare type DeepPartial<T> = {
    [P in keyof T]?: DeepPartial<T[P]>;
};
export default class Config {
    data: {
        events: Partial<Omit<IEvents, 'onHighlightUpdate'>> & Pick<IEvents, 'onHighlightUpdate'>;
        highlightOptions: ConfigHighlightOptions;
    };
    update(config: DeepPartial<Config['data']>): void;
    private extend;
}
//# sourceMappingURL=config.d.ts.map