import Popper from 'popper.js';
import UI from './ui';
export interface IRequiredElements {
    highlight: {
        backdrop: HTMLElement;
        box: HTMLElement;
    };
    popper?: Popper;
    popup?: HTMLElement;
    target: HTMLElement;
}
export declare type UpdateFn = (elements: IRequiredElements) => void;
export default class UIUpdateScheduler {
    private ui;
    private scheduledUpdate;
    constructor(ui: UI);
    schedUpdate(updateFn: UpdateFn, delay: number): void;
    cancelCurrentScheduledUpdate(): void;
    private update;
}
//# sourceMappingURL=ui-update-scheduler.d.ts.map